<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：phpwms.userpoll.php
 * 摘　　要：投票
 * 适用范围：PHPWMS 1.0
 * 版　　本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
if(!defined('IN_SYS')) {exit('phpwms');}
class userpoll_WMS extends base {
	protected function init(){
		parent::init();
	}
	public function wmsAction(){
		$this->pollAction();
	}
	public function pollAction(){
		$this->setSeo(array('keywords'=>'投票', 'title'=>'投票'));
		$url =  building_url('member@userpoll', 'poll');
		if($this->isPost()){
			$url = $_POST['one'] == 'one' ? '' : $url;
			$poll_id = abs(intval($_POST['poll_id']));
			if(empty($poll_id)){
				$this->bgmsg('操作有误', $url);
			}
			/*查看24小时之内是否投票过*/
			$time = time() - 3600 * 60 * 12;
			$sql = "SELECT `id` FROM ##__poll_record WHERE poll_id = '$poll_id' AND `time` > $time";
			$record = $this->db->fetch($sql, true);
			if(!empty($record)){
				$this->bgmsg('您已经透过此票了，请您在24小时候后才可投票', $url);
			}
			/*得到类型*/
			$poll_type = $_POST['poll_type'];
			$ids = $_POST['poll_value'];
			switch ($poll_type){
				case 'radio':
					$id = abs(intval($ids));
					break;
				default:
					if(!is_array($ids)){
						$this->bgmsg('操作有误.', $url);
					}
					$ids = array_filter($ids);
					$id = '';
					foreach($ids as $v){
						$id .= $v . ',';
					}
					$id = substr($id, 0, -1);
					break;
			}
			if(empty($id)){
				$this->bgmsg('您没有做任何选择，请您重新选择', $url);
			}
			$sql = "UPDATE ##__user_option SET option_ticket = option_ticket +  1 WHERE option_id IN ($id)";
			$msg = $this->db->query($sql) ? '投票成功' : '投票失败';
			/*插入以投票数据*/
			$data['time'] = time();
			$data['poll_id'] = $poll_id;
			$data['ip'] = get_ip();
			$this->db->insert($data, 'poll_record');
			$this->bgmsg($msg, $url);
		}else{
			$sql = "SELECT * FROM ##__user_poll";
			$result = $this->db->fetch($sql);
			foreach ($result as $k=>$item){
				$result[$k]['op_sub_name'] = $item ['poll_type'] == 'checkbox' ?  'poll_value[]' : 'poll_value';
				$result[$k]['data'] = get_poll($item['poll_id'], $item['poll_title']);
				
			}
			$this->tpl->assign('form_sub_action',$url);
			$this->tpl->assign('result', $result);
			$this->display('member/userpoll.php');
		}
	}
}
?>